org.eclipse.lyo.core.trs

## Class HttpConstants

- java.lang.Object
- - org.eclipse.lyo.core.trs.HttpConstants

-     public class HttpConstants
      extends Object

  This helper utility defines commonly used string literals from the HTTP specifications. See RFC2616. See RFC4229.
  Since:
    1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HttpConstants.HttpMethod` HTTP method names, as documented by RFC2616, Section 9

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCEPT` Request-header field name for Accept.
    `static String` | `ACCEPT_CHARSET` Request-header field name for Accept-Charset.
    `static String` | `ACCEPT_ENCODING` Request-header field name for Accept-Encoding.
    `static String` | `ACCEPT_LANGUAGE` Request-header field name for Accept-Language.
    `static String` | `ACCEPT_RANGES` Response-header field name for Accept-Ranges.
    `static String` | `AGE` Response-header field name for Age.
    `static String` | `ALLOW` Entity-header field name for Allow.
    `static String` | `AMPERSAND` Literal string value of an ampersand.
    `static String` | `AUTHORIZATION` Request-header field name for Authorization.
    `static String` | `BACKWARDS_SLASH` Literal string value of a backwards slash.
    `static String` | `CACHE_CONTROL` General-header field name for Cache-Control.
    `static String` | `CHARSET` Name of the charset parameter in the `CONTENT_TYPE` header field.
    `static String` | `CLOSE` Value for the close option of the `CONNECTION` header field.
    `static String` | `COLON` Literal string value of a colon.
    `static String` | `COLON_SLASH_SLASH` Literal string value for a ://S
    `static String` | `COMMA` Literal string value of a comma.
    `static String` | `CONNECTION` General-header field name for Connection.
    `static String` | `CONTENT_DISPOSITION` Response-header field name for Content-Disposition.
    `static String` | `CONTENT_ENCODING` Entity-header field name for Content-Encoding.
    `static String` | `CONTENT_LANGUAGE` Entity-header field name for Content-Language.
    `static String` | `CONTENT_LENGTH` Entity-header field name for Content-Length.
    `static String` | `CONTENT_LOCATION` Entity-header field name for Content-Location.
    `static String` | `CONTENT_MD5` Entity-header field name for Content-MD5.
    `static String` | `CONTENT_RANGE` Entity-header field name for Content-Range.
    `static String` | `CONTENT_TYPE` Entity-header field name for Content-Type.
    `static String` | `CONTEXT`
    `static String` | `COOKIE` Entity-header field name for Cookie.
    `static String` | `CT_ANY` The internet media type or MIME type or Content-Type value for "*" XML feed.
    `static String` | `CT_ANY_ANY` The internet media type or MIME type or Content-Type value for "*\/*" XML feed.
    `static String` | `CT_APPLICATION_ATOM_XML` The internet media type or MIME type or Content-Type value for an ATOM XML feed.
    `static String` | `CT_APPLICATION_INDEX_SPEC`
    `static String` | `CT_APPLICATION_JAVASCRIPT` The internet media type or MIME type or Content-Type value for javascript.
    `static String` | `CT_APPLICATION_JSON` The internet media type or MIME type or Content-Type value for JSON data.
    `static String` | `CT_APPLICATION_JSONREQUEST` The internet media type or MIME type or Content-Type value for an JSON request.
    `static String` | `CT_APPLICATION_NTRIPLES` The internet media type or MIME type or Content-Type value for the human readable RDF triples format.
    `static String` | `CT_APPLICATION_RDF_XML` The internet media type or MIME type or Content-Type value for an XML feed.
    `static String` | `CT_APPLICATION_SPARQL_QUERY` The internet media type or MIME type or Content-Type value for a SPARQL query.
    `static String` | `CT_APPLICATION_SPARQL_RESULTS_JSON` The internet media type or MIME type or Content-Type value for a SPARQL result set in json format.
    `static String` | `CT_APPLICATION_SPARQL_RESULTS_XML` The internet media type or MIME type or Content-Type value for a SPARQL result set in xml format.
    `static String` | `CT_APPLICATION_TURTLE` The internet media type or MIME type or Content-Type value for the Terse RDF Triple Language.
    `static String` | `CT_APPLICATION_URL_ENCODED` The internet media type or MIME type or Content-Type value for form post submissions URL encoded as name/value pairs.
    `static String` | `CT_APPLICATION_XHTML` The internet media type or MIME type or Content-Type value for the eXtensible Hypertext Markup Language.
    `static String` | `CT_APPLICATION_XML` The internet media type or MIME type or Content-Type value for an XML document.
    `static String` | `CT_APPLICATION_ZIP` The internet media type or MIME type or Content-Type value for an zip archive.
    `static String` | `CT_RDF_XML` The internet media type or MIME type or Content-Type value for an XML as RDF.
    `static String` | `CT_TEXT_CSS` The internet media type or MIME type or Content-Type value for CSS as text.
    `static String` | `CT_TEXT_HTML` The internet media type or MIME type or Content-Type value for an HTML as text.
    `static String` | `CT_TEXT_JAVASCRIPT` The internet media type or MIME type or Content-Type value for JavaScript as text.
    `static String` | `CT_TEXT_JSON` The internet media type or MIME type or Content-Type value for an JSON data as text.
    `static String` | `CT_TEXT_N3` The internet media type or MIME type or Content-Type value for an RDF triples as text.
    `static String` | `CT_TEXT_PLAIN` The internet media type or MIME type or Content-Type value for text.
    `static String` | `CT_TEXT_TURTLE` The internet media type or MIME type or Content-Type value for Terse RDF Triple Language as text.
    `static String` | `CT_TEXT_XML` The internet media type or MIME type or Content-Type value for an XML as text.
    `static String` | `DATE` General-header field name for Date.
    `static String` | `DEFAULT_ENCODING`
    `static String` | `DEFAULT_LIFETIME` This is a custom cache control request directive for cases where the origin server doesn't include an Expires header or cache validators.
    `static int` | `DEFAULT_PAGE_SIZE`
    `static String` | `EMPTY` Literal string value of an empty string.
    `static String` | `EQUALS` Literal string value of an equals character.
    `static String` | `ETAG` Response-header field name for ETag.
    `static String` | `EXPECT` Request-header field name for Expect.
    `static String` | `EXPIRES` Entity-header field name for Expires.
    `static String` | `FORWARD_SLASH` Literal string value of a forward slash.
    `static String` | `FROM` Request-header field name for From.
    `static String` | `GZIP` Literal string value of the encoding format produced by the gzip file compression program.
    `static String` | `HASH` Literal string value of a hash character.
    `static String` | `HOST` Request-header field name for Host.
    `static String` | `HTTP` Literal string value of the abbreviation for the Hypertext Transfer Protocol.
    `static String` | `HTTPS` Literal string value of the abbreviation for the Hypertext Transfer Protocol Secure.
    `static String` | `IF_MATCH` Request-header field name for If-Match.
    `static String` | `IF_MODIFIED_SINCE` Request-header field name for If-Modified-Since.
    `static String` | `IF_NONE_MATCH` Request-header field name for If-None-Match.
    `static String` | `IF_RANGE` Request-header field name for If-Range.
    `static String` | `IF_UNMODIFIED_SINCE` Request-header field name for If-Unmodified-Since.
    `static String` | `ITERATE`
    `static String` | `KEEP_ALIVE` Entity-header field name for Cookie.
    `static String` | `LAST_MODIFIED` Entity-header field name for Last-Modified.
    `static String` | `LAST_MODIFIED_USER` Non-standard response-header field name for X-Last-Modified-User.
    `static String` | `LAST_MODIFIED_XSD` Non-standard response-header field name for X-Last-Modified-XSD.
    `static String` | `LINK` Response-header field name for Link.
    `static String` | `LOCATION` Response-header field name for Location.
    `static String` | `MAX_AGE` Value of max-age cache request/response directive for `CACHE_CONTROL` general-header field.
    `static String` | `MAX_FORWARDS` Request-header field name for Max-Forwards.
    `static String` | `MAX_STALE` Value of max-stale cache request directive for `CACHE_CONTROL` general-header field.
    `static String` | `MIN_FRESH` Value of min-fresh cache request directive for `CACHE_CONTROL` general-header field.
    `static String` | `MUST_REVALIDATE` Value of must-revalidate cache response directive for `CACHE_CONTROL` general-header field.
    `static String` | `NAME_HEADER` Non-standard request-header field name for Name.
    `static String` | `NO_CACHE` Value of no-cache cache request/response directive for `CACHE_CONTROL` general-header field.
    `static String` | `NO_STORE` Value of no-store cache request/response directive for `CACHE_CONTROL` general-header field.
    `static String` | `NO_TRANSFORM` Value of no-transform cache request/response directive for `CACHE_CONTROL` general-header field.
    `static String` | `OK` Literal string value of commonly used parameter value.
    `static String` | `ONLY_IF_CACHED` Value of only-if-cached cache request directive for `CACHE_CONTROL` general-header field.
    `static String` | `OSLC_CORE_VER` Non-standard response-header field name for OSLC-Core-Version, used to specify that the version of the OSLC Core Specification.
    `static String` | `PAGE_SIZE`
    `static String` | `PERIOD` Literal string value of a period.
    `static String` | `PLUS` Literal string value of a plus character.
    `static String` | `PRAGMA` General-header field name for Pragma.
    `static String` | `PRIVATE` Value of private cache response directive for `CACHE_CONTROL` general-header field.
    `static String` | `PROXY_AUTHENTICATE` Response-header field name for Proxy-Authenticate.
    `static String` | `PROXY_AUTHORIZATION` Request-header field name for Proxy-Authorization.
    `static String` | `PROXY_MAXAGE` Value of proxy-maxage cache request directive for `CACHE_CONTROL` general-header field.
    `static String` | `PROXY_REVALIDATE` Value of proxy-revalidate cache response directive for `CACHE_CONTROL` general-header field.
    `static String` | `PUBLIC` Value of public cache response directive for `CACHE_CONTROL` general-header field.
    `static String` | `QUERY`
    `static String` | `QUESTION` Literal string value of a question mark.
    `static String` | `RETRY_AFTER` Response-header field name for Retry-After.
    `static String` | `REVISION`
    `static String` | `S_MAXAGE` Value of s-maxage cache response directive for `CACHE_CONTROL` general-header field.
    `static String` | `SEARCH`
    `static String` | `SECURITY_CONTEXT_HEADER` Non-standard request-header field name for X-Jazz-Owning-Context.
    `static String` | `SEMI_COLON` Literal string value of a semi-colon.
    `static String` | `SERVER` Response-header field name for Server.
    `static String` | `SET_COOKIE` Response-header field name for Set-Cookie.
    `static String` | `SIZE`
    `static String` | `SLASH` Literal string value of a forward slash.
    `static String` | `SPACE` Literal string value of a whitespace character.
    `static String` | `SSL` Literal string value of the abbreviation for the Secure Sockets Layer protocol.
    `static String` | `STAR` Literal string value of an asterick character.
    `static String` | `TE` Request-header field name for Accept.
    `static String` | `TRAILER` General-header field name for Trailer.
    `static String` | `TRANSFER_ENCODING` General-header field name for Transfer-Encoding.
    `static String` | `UPGRADE` General-header field name for Upgrade.
    `static String` | `URL`
    `static String` | `URL_ENCODED_PLUS` The literal string value of the plus character convert to a URL encoded value.
    `static String` | `URL_ENCODED_SPACE` The literal string value of the whitespace character convert to a URL encoded value.
    `static String` | `VARY` Response-header field name for Vary.
    `static String` | `VIA` General-header field name for Via.
    `static String` | `WARNING` General-header field name for Warning.
    `static String` | `WEAK_ETAG_PREFIX` Literal string value for the prefix used on entity tags to denote weak validation.
    `static String` | `WILDCARD` Literal string value for HTTP wildcard character.
    `static String` | `WWW_AUTHENTICATE` Response-header field name for Vary.
    `static String` | `X_JAZZ_ARCHIVED` Non-standard response-header field name for X-Jazz-Archived, used to specify that the revision being imported should be marked archived (deleted).
    `static String` | `X_JAZZ_AUTHORIZATION_GUIDANCE` Non-standard response-header field name for X-Jazz-Authorization-Guidance.
    `static String` | `X_JAZZ_CONTRIBUTOR` Non-standard response-header field name for X-Jazz-Contributor, used to specify the value for the dc:contributor property for the import service.
    `static String` | `X_JAZZ_CREATED` Non-standard response-header field name for X-Jazz-Created, used to specify the value for the dc:created property for the import service.
    `static String` | `X_JAZZ_CREATOR` Non-standard response-header field name for X-Jazz-Creator, used to specify the value for the dc:creator property for the import service.
    `static String` | `X_JAZZ_CSRF_PREVENT` Non-standard request-header field name for X-Jazz-CSRF-Prevent, used to prevent cross-site request forgeries
    `static String` | `X_JAZZ_CURRENT` Non-standard response-header field name for X-Jazz-Current, used to specify that a revision being imported is current, and so should be indexed.
    `static String` | `X_JAZZ_FORCE_ORDERING` Non-standard response-header field name for X-Jazz-Force-Ordering, used to specify that the individual parts of a bulk operations response are in the same order as the request parts.
    `static String` | `X_JAZZ_MODIFIED` Non-standard response-header field name for X-Jazz-Modified, used to specify the value for the dc:modified property for the import service.
    `static String` | `X_JAZZ_REVISION` Non-standard response-header field name for X-Jazz-Revision, used to specify the revision identifier for an imported revision.
    `static String` | `X_LAST_MODIFIED_USER` Non-standard request-header field name for X-Last-Modified-User.
    `static String` | `X_LAST_MODIFIED_XSD` Non-standard request-header field name for X-Last-Modified-XSD.
    `static String` | `X_METHOD_OVERRIDE` Non-standard request-header field name for X-Method-Override.
    `static String` | `X_OAUTH_AUTHORIZATION_URL` Non-standard response-header field name for X-jazz-web-oauth-url.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_CONTROL

          public static final String CACHE_CONTROL

      General-header field name for Cache-Control. See RFC2616 Section 14.9
      See Also:
        Constant Field Values

    - #### CONNECTION

          public static final String CONNECTION

      General-header field name for Connection. See RFC2616 Section 14.10
      See Also:
        Constant Field Values

    - #### DATE

          public static final String DATE

      General-header field name for Date. See RFC2616 Section 14.18
      See Also:
        Constant Field Values

    - #### PRAGMA

          public static final String PRAGMA

      General-header field name for Pragma. See RFC2616 Section 14.32
      See Also:
        Constant Field Values

    - #### TRAILER

          public static final String TRAILER

      General-header field name for Trailer. See RFC2616 Section 14.40
      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          public static final String TRANSFER_ENCODING

      General-header field name for Transfer-Encoding. See RFC2616 Section 14.41
      See Also:
        Constant Field Values

    - #### UPGRADE

          public static final String UPGRADE

      General-header field name for Upgrade. See RFC2616 Section 14.42
      See Also:
        Constant Field Values

    - #### VIA

          public static final String VIA

      General-header field name for Via. See RFC2616 Section 14.45
      See Also:
        Constant Field Values

    - #### WARNING

          public static final String WARNING

      General-header field name for Warning. See RFC2616 Section 14.46
      See Also:
        Constant Field Values

    - #### PUBLIC

          public static final String PUBLIC

      Value of public cache response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.1
      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final String PRIVATE

      Value of private cache response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.1
      See Also:
        Constant Field Values

    - #### NO_CACHE

          public static final String NO_CACHE

      Value of no-cache cache request/response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.1
      See Also:
        Constant Field Values

    - #### NO_STORE

          public static final String NO_STORE

      Value of no-store cache request/response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.2
      See Also:
        Constant Field Values

    - #### MAX_AGE

          public static final String MAX_AGE

      Value of max-age cache request/response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.3
      See Also:
        Constant Field Values

    - #### MAX_STALE

          public static final String MAX_STALE

      Value of max-stale cache request directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.3
      See Also:
        Constant Field Values

    - #### MIN_FRESH

          public static final String MIN_FRESH

      Value of min-fresh cache request directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.3
      See Also:
        Constant Field Values

    - #### S_MAXAGE

          public static final String S_MAXAGE

      Value of s-maxage cache response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.3
      See Also:
        Constant Field Values

    - #### PROXY_MAXAGE

          public static final String PROXY_MAXAGE

      Value of proxy-maxage cache request directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.4
      See Also:
        Constant Field Values

    - #### ONLY_IF_CACHED

          public static final String ONLY_IF_CACHED

      Value of only-if-cached cache request directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.4
      See Also:
        Constant Field Values

    - #### MUST_REVALIDATE

          public static final String MUST_REVALIDATE

      Value of must-revalidate cache response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.4
      See Also:
        Constant Field Values

    - #### PROXY_REVALIDATE

          public static final String PROXY_REVALIDATE

      Value of proxy-revalidate cache response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.4
      See Also:
        Constant Field Values

    - #### NO_TRANSFORM

          public static final String NO_TRANSFORM

      Value of no-transform cache request/response directive for `CACHE_CONTROL` general-header field. See RFC2616 Section 14.9.5
      See Also:
        Constant Field Values

    - #### DEFAULT_LIFETIME

          public static final String DEFAULT_LIFETIME

      This is a custom cache control request directive for cases where the origin server doesn't include an Expires header or cache validators. Response lifetime value precedence: max_age_value expires_value - date_value x-jfs-default-lifetime Cache-Control: x-jfs-default-lifetime=<seconds> See RFC2616 Section 13.2.4
      See Also:
        Constant Field Values

    - #### ACCEPT

          public static final String ACCEPT

      Request-header field name for Accept. See RFC2616 Section 5.3 and RFC2616 Section 14.1
      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET

          public static final String ACCEPT_CHARSET

      Request-header field name for Accept-Charset. See RFC2616 Section 5.3 and RFC2616 Section 14.2
      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING

          public static final String ACCEPT_ENCODING

      Request-header field name for Accept-Encoding. See RFC2616 Section 5.3 and RFC2616 Section 14.3
      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE

          public static final String ACCEPT_LANGUAGE

      Request-header field name for Accept-Language. See RFC2616 Section 5.3 and RFC2616 Section 14.4
      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          public static final String AUTHORIZATION

      Request-header field name for Authorization. See RFC2616 Section 5.3 and RFC2616 Section 14.8
      See Also:
        Constant Field Values

    - #### EXPECT

          public static final String EXPECT

      Request-header field name for Expect. See RFC2616 Section 5.3 and RFC2616 Section 14.20
      See Also:
        Constant Field Values

    - #### FROM

          public static final String FROM

      Request-header field name for From. See RFC2616 Section 5.3 and RFC2616 Section 14.22
      See Also:
        Constant Field Values

    - #### HOST

          public static final String HOST

      Request-header field name for Host. See RFC2616 Section 5.3 and RFC2616 Section 14.23
      See Also:
        Constant Field Values

    - #### IF_MATCH

          public static final String IF_MATCH

      Request-header field name for If-Match. See RFC2616 Section 5.3 and RFC2616 Section 14.24
      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          public static final String IF_MODIFIED_SINCE

      Request-header field name for If-Modified-Since. See RFC2616 Section 5.3 and RFC2616 Section 14.25
      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          public static final String IF_NONE_MATCH

      Request-header field name for If-None-Match. See RFC2616 Section 5.3 and RFC2616 Section 14.26
      See Also:
        Constant Field Values

    - #### IF_RANGE

          public static final String IF_RANGE

      Request-header field name for If-Range. See RFC2616 Section 5.3 and RFC2616 Section 14.27
      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE

          public static final String IF_UNMODIFIED_SINCE

      Request-header field name for If-Unmodified-Since. See RFC2616 Section 5.3 and RFC2616 Section 14.28
      See Also:
        Constant Field Values

    - #### LINK

          public static final String LINK

      Response-header field name for Link. See RFC5988 Section 5
      See Also:
        Constant Field Values

    - #### MAX_FORWARDS

          public static final String MAX_FORWARDS

      Request-header field name for Max-Forwards. See RFC2616 Section 5.3 and RFC2616 Section 14.31
      See Also:
        Constant Field Values

    - #### PROXY_AUTHORIZATION

          public static final String PROXY_AUTHORIZATION

      Request-header field name for Proxy-Authorization. See RFC2616 Section 5.3 and RFC2616 Section 14.34
      See Also:
        Constant Field Values

    - #### X_METHOD_OVERRIDE

          public static final String X_METHOD_OVERRIDE

      Non-standard request-header field name for X-Method-Override.
      See Also:
        Constant Field Values

    - #### X_LAST_MODIFIED_XSD

          public static final String X_LAST_MODIFIED_XSD

      Non-standard request-header field name for X-Last-Modified-XSD.
      See Also:
        Constant Field Values

    - #### X_LAST_MODIFIED_USER

          public static final String X_LAST_MODIFIED_USER

      Non-standard request-header field name for X-Last-Modified-User.
      See Also:
        Constant Field Values

    - #### SET_COOKIE

          public static final String SET_COOKIE

      Response-header field name for Set-Cookie. See RFC4229 Section 2.1.96.
      See Also:
        Constant Field Values

    - #### TE

          public static final String TE

      Request-header field name for Accept. See RFC2616 Section 5.3 and RFC2616 Section 14.39
      See Also:
        Constant Field Values

    - #### NAME_HEADER

          public static final String NAME_HEADER

      Non-standard request-header field name for Name.
      See Also:
        Constant Field Values

    - #### SECURITY_CONTEXT_HEADER

          public static final String SECURITY_CONTEXT_HEADER

      Non-standard request-header field name for X-Jazz-Owning-Context.
      See Also:
        Constant Field Values

    - #### ACCEPT_RANGES

          public static final String ACCEPT_RANGES

      Response-header field name for Accept-Ranges. See RFC2616 Section 6.2 and RFC2616 Section 14.5
      See Also:
        Constant Field Values

    - #### AGE

          public static final String AGE

      Response-header field name for Age. See RFC2616 Section 6.2 and RFC2616 Section 14.6
      See Also:
        Constant Field Values

    - #### ETAG

          public static final String ETAG

      Response-header field name for ETag. See RFC2616 Section 6.2 and RFC2616 Section 14.19
      See Also:
        Constant Field Values

    - #### LOCATION

          public static final String LOCATION

      Response-header field name for Location. See RFC2616 Section 6.2 and RFC2616 Section 14.30
      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE

          public static final String PROXY_AUTHENTICATE

      Response-header field name for Proxy-Authenticate. See RFC2616 Section 6.2 and RFC2616 Section 14.33
      See Also:
        Constant Field Values

    - #### RETRY_AFTER

          public static final String RETRY_AFTER

      Response-header field name for Retry-After. See RFC2616 Section 6.2 and RFC2616 Section 14.37
      See Also:
        Constant Field Values

    - #### SERVER

          public static final String SERVER

      Response-header field name for Server. See RFC2616 Section 6.2 and RFC2616 Section 14.38
      See Also:
        Constant Field Values

    - #### VARY

          public static final String VARY

      Response-header field name for Vary. See RFC2616 Section 6.2 and RFC2616 Section 14.44
      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE

          public static final String WWW_AUTHENTICATE

      Response-header field name for Vary. See RFC2616 Section 6.2 and RFC2616 Section 14.47
      See Also:
        Constant Field Values

    - #### CONTENT_DISPOSITION

          public static final String CONTENT_DISPOSITION

      Response-header field name for Content-Disposition. See RFC4229 Section 2.1.22
      See Also:
        Constant Field Values

    - #### LAST_MODIFIED_USER

          public static final String LAST_MODIFIED_USER

      Non-standard response-header field name for X-Last-Modified-User.
      See Also:
        Constant Field Values

    - #### LAST_MODIFIED_XSD

          public static final String LAST_MODIFIED_XSD

      Non-standard response-header field name for X-Last-Modified-XSD.
      See Also:
        Constant Field Values

    - #### X_OAUTH_AUTHORIZATION_URL

          public static final String X_OAUTH_AUTHORIZATION_URL

      Non-standard response-header field name for X-jazz-web-oauth-url.
      See Also:
        Constant Field Values

    - #### X_JAZZ_AUTHORIZATION_GUIDANCE

          public static final String X_JAZZ_AUTHORIZATION_GUIDANCE

      Non-standard response-header field name for X-Jazz-Authorization-Guidance.
      See Also:
        Constant Field Values

    - #### X_JAZZ_CREATOR

          public static final String X_JAZZ_CREATOR

      Non-standard response-header field name for X-Jazz-Creator, used to specify the value for the dc:creator property for the import service.
      See Also:
        Constant Field Values

    - #### X_JAZZ_CREATED

          public static final String X_JAZZ_CREATED

      Non-standard response-header field name for X-Jazz-Created, used to specify the value for the dc:created property for the import service.
      See Also:
        Constant Field Values

    - #### X_JAZZ_CONTRIBUTOR

          public static final String X_JAZZ_CONTRIBUTOR

      Non-standard response-header field name for X-Jazz-Contributor, used to specify the value for the dc:contributor property for the import service.
      See Also:
        Constant Field Values

    - #### X_JAZZ_MODIFIED

          public static final String X_JAZZ_MODIFIED

      Non-standard response-header field name for X-Jazz-Modified, used to specify the value for the dc:modified property for the import service.
      See Also:
        Constant Field Values

    - #### X_JAZZ_CURRENT

          public static final String X_JAZZ_CURRENT

      Non-standard response-header field name for X-Jazz-Current, used to specify that a revision being imported is current, and so should be indexed.
      See Also:
        Constant Field Values

    - #### X_JAZZ_REVISION

          public static final String X_JAZZ_REVISION

      Non-standard response-header field name for X-Jazz-Revision, used to specify the revision identifier for an imported revision.
      See Also:
        Constant Field Values

    - #### X_JAZZ_ARCHIVED

          public static final String X_JAZZ_ARCHIVED

      Non-standard response-header field name for X-Jazz-Archived, used to specify that the revision being imported should be marked archived (deleted).
      See Also:
        Constant Field Values

    - #### X_JAZZ_FORCE_ORDERING

          public static final String X_JAZZ_FORCE_ORDERING

      Non-standard response-header field name for X-Jazz-Force-Ordering, used to specify that the individual parts of a bulk operations response are in the same order as the request parts.
      Since:
        3.0.1
      See Also:
        Constant Field Values

    - #### X_JAZZ_CSRF_PREVENT

          public static final String X_JAZZ_CSRF_PREVENT

      Non-standard request-header field name for X-Jazz-CSRF-Prevent, used to prevent cross-site request forgeries
      See Also:
        Constant Field Values

    - #### OSLC_CORE_VER

          public static final String OSLC_CORE_VER

      Non-standard response-header field name for OSLC-Core-Version, used to specify that the version of the OSLC Core Specification.
      See Also:
        Constant Field Values

    - #### ALLOW

          public static final String ALLOW

      Entity-header field name for Allow. See RFC2616 Section 7.1 and RFC2616 Section 14.7
      See Also:
        Constant Field Values

    - #### COOKIE

          public static final String COOKIE

      Entity-header field name for Cookie. See RFC4229 Section 2.1.34
      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          public static final String CONTENT_ENCODING

      Entity-header field name for Content-Encoding. See RFC2616 Section 7.1 and RFC2616 Section 14.11
      See Also:
        Constant Field Values

    - #### CONTENT_LANGUAGE

          public static final String CONTENT_LANGUAGE

      Entity-header field name for Content-Language. See RFC2616 Section 7.1 and RFC2616 Section 14.12
      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          public static final String CONTENT_LENGTH

      Entity-header field name for Content-Length. See RFC2616 Section 7.1 and RFC2616 Section 14.13
      See Also:
        Constant Field Values

    - #### CONTENT_LOCATION

          public static final String CONTENT_LOCATION

      Entity-header field name for Content-Location. See RFC2616 Section 7.1 and RFC2616 Section 14.14
      See Also:
        Constant Field Values

    - #### CONTENT_MD5

          public static final String CONTENT_MD5

      Entity-header field name for Content-MD5. See RFC2616 Section 7.1 and RFC2616 Section 14.15
      See Also:
        Constant Field Values

    - #### CONTENT_RANGE

          public static final String CONTENT_RANGE

      Entity-header field name for Content-Range. See RFC2616 Section 7.1 and RFC2616 Section 14.16
      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      Entity-header field name for Content-Type. See RFC2616 Section 7.1 and RFC2616 Section 14.17
      See Also:
        Constant Field Values

    - #### EXPIRES

          public static final String EXPIRES

      Entity-header field name for Expires. See RFC2616 Section 7.1 and RFC2616 Section 14.21
      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          public static final String LAST_MODIFIED

      Entity-header field name for Last-Modified. See RFC2616 Section 7.1 and RFC2616 Section 14.29
      See Also:
        Constant Field Values

    - #### KEEP_ALIVE

          public static final String KEEP_ALIVE

      Entity-header field name for Cookie. See RFC4229 Section 2.1.50
      See Also:
        Constant Field Values

    - #### WILDCARD

          public static final String WILDCARD

      Literal string value for HTTP wildcard character.
      See Also:
        Constant Field Values

    - #### WEAK_ETAG_PREFIX

          public static final String WEAK_ETAG_PREFIX

      Literal string value for the prefix used on entity tags to denote weak validation.
      See Also:
        Constant Field Values

    - #### GZIP

          public static final String GZIP

      Literal string value of the encoding format produced by the gzip file compression program.
      See Also:
        Constant Field Values

    - #### SSL

          public static final String SSL

      Literal string value of the abbreviation for the Secure Sockets Layer protocol.
      See Also:
        Constant Field Values

    - #### HTTP

          public static final String HTTP

      Literal string value of the abbreviation for the Hypertext Transfer Protocol.
      See Also:
        Constant Field Values

    - #### HTTPS

          public static final String HTTPS

      Literal string value of the abbreviation for the Hypertext Transfer Protocol Secure.
      See Also:
        Constant Field Values

    - #### FORWARD_SLASH

          public static final String FORWARD_SLASH

      Literal string value of a forward slash.
      See Also:
        Constant Field Values

    - #### BACKWARDS_SLASH

          public static final String BACKWARDS_SLASH

      Literal string value of a backwards slash.
      See Also:
        Constant Field Values

    - #### CLOSE

          public static final String CLOSE

      Value for the close option of the `CONNECTION` header field.
      See Also:
        Constant Field Values

    - #### CHARSET

          public static final String CHARSET

      Name of the charset parameter in the `CONTENT_TYPE` header field.
      See Also:
        Constant Field Values

    - #### OK

          public static final String OK

      Literal string value of commonly used parameter value.
      See Also:
        Constant Field Values

    - #### AMPERSAND

          public static final String AMPERSAND

      Literal string value of an ampersand.
      See Also:
        Constant Field Values

    - #### COLON

          public static final String COLON

      Literal string value of a colon.
      See Also:
        Constant Field Values

    - #### COLON_SLASH_SLASH

          public static final String COLON_SLASH_SLASH

      Literal string value for a ://S
      See Also:
        Constant Field Values

    - #### COMMA

          public static final String COMMA

      Literal string value of a comma.
      See Also:
        Constant Field Values

    - #### EMPTY

          public static final String EMPTY

      Literal string value of an empty string.
      See Also:
        Constant Field Values

    - #### EQUALS

          public static final String EQUALS

      Literal string value of an equals character.
      See Also:
        Constant Field Values

    - #### HASH

          public static final String HASH

      Literal string value of a hash character.
      See Also:
        Constant Field Values

    - #### PERIOD

          public static final String PERIOD

      Literal string value of a period.
      See Also:
        Constant Field Values

    - #### PLUS

          public static final String PLUS

      Literal string value of a plus character.
      See Also:
        Constant Field Values

    - #### QUESTION

          public static final String QUESTION

      Literal string value of a question mark.
      See Also:
        Constant Field Values

    - #### SLASH

          public static final String SLASH

      Literal string value of a forward slash.
      See Also:
        Constant Field Values

    - #### SPACE

          public static final String SPACE

      Literal string value of a whitespace character.
      See Also:
        Constant Field Values

    - #### STAR

          public static final String STAR

      Literal string value of an asterick character.
      See Also:
        Constant Field Values

    - #### SEMI_COLON

          public static final String SEMI_COLON

      Literal string value of a semi-colon.
      See Also:
        Constant Field Values

    - #### CONTEXT

          public static final String CONTEXT

      See Also:
        Constant Field Values

    - #### DEFAULT_ENCODING

          public static final String DEFAULT_ENCODING

      See Also:
        Constant Field Values

    - #### DEFAULT_PAGE_SIZE

          public static final int DEFAULT_PAGE_SIZE

      See Also:
        Constant Field Values

    - #### PAGE_SIZE

          public static final String PAGE_SIZE

      See Also:
        Constant Field Values

    - #### QUERY

          public static final String QUERY

      See Also:
        Constant Field Values

    - #### SEARCH

          public static final String SEARCH

      See Also:
        Constant Field Values

    - #### SIZE

          public static final String SIZE

      See Also:
        Constant Field Values

    - #### ITERATE

          public static final String ITERATE

      Since:
        3.0.1
      See Also:
        Constant Field Values

    - #### URL

          public static final String URL

      Since:
        3.0.1
      See Also:
        Constant Field Values

    - #### REVISION

          public static final String REVISION

      Since:
        3.0.1
      See Also:
        Constant Field Values

    - #### URL_ENCODED_SPACE

          public static final String URL_ENCODED_SPACE

      The literal string value of the whitespace character convert to a URL encoded value.
      See Also:
        Constant Field Values

    - #### URL_ENCODED_PLUS

          public static final String URL_ENCODED_PLUS

      The literal string value of the plus character convert to a URL encoded value.
      See Also:
        Constant Field Values

    - #### CT_ANY

          public static final String CT_ANY

      The internet media type or MIME type or Content-Type value for "*" XML feed.
      See Also:
        Constant Field Values

    - #### CT_ANY_ANY

          public static final String CT_ANY_ANY

      The internet media type or MIME type or Content-Type value for "*\/*" XML feed.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_ATOM_XML

          public static final String CT_APPLICATION_ATOM_XML

      The internet media type or MIME type or Content-Type value for an ATOM XML feed.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_JAVASCRIPT

          public static final String CT_APPLICATION_JAVASCRIPT

      The internet media type or MIME type or Content-Type value for javascript.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_JSON

          public static final String CT_APPLICATION_JSON

      The internet media type or MIME type or Content-Type value for JSON data.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_JSONREQUEST

          public static final String CT_APPLICATION_JSONREQUEST

      The internet media type or MIME type or Content-Type value for an JSON request.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_NTRIPLES

          public static final String CT_APPLICATION_NTRIPLES

      The internet media type or MIME type or Content-Type value for the human readable RDF triples format.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_SPARQL_QUERY

          public static final String CT_APPLICATION_SPARQL_QUERY

      The internet media type or MIME type or Content-Type value for a SPARQL query.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_SPARQL_RESULTS_JSON

          public static final String CT_APPLICATION_SPARQL_RESULTS_JSON

      The internet media type or MIME type or Content-Type value for a SPARQL result set in json format.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_SPARQL_RESULTS_XML

          public static final String CT_APPLICATION_SPARQL_RESULTS_XML

      The internet media type or MIME type or Content-Type value for a SPARQL result set in xml format.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_TURTLE

          public static final String CT_APPLICATION_TURTLE

      The internet media type or MIME type or Content-Type value for the Terse RDF Triple Language.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_RDF_XML

          public static final String CT_APPLICATION_RDF_XML

      The internet media type or MIME type or Content-Type value for an XML feed.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_XML

          public static final String CT_APPLICATION_XML

      The internet media type or MIME type or Content-Type value for an XML document.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_ZIP

          public static final String CT_APPLICATION_ZIP

      The internet media type or MIME type or Content-Type value for an zip archive.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_URL_ENCODED

          public static final String CT_APPLICATION_URL_ENCODED

      The internet media type or MIME type or Content-Type value for form post submissions URL encoded as name/value pairs.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_XHTML

          public static final String CT_APPLICATION_XHTML

      The internet media type or MIME type or Content-Type value for the eXtensible Hypertext Markup Language.
      See Also:
        Constant Field Values

    - #### CT_APPLICATION_INDEX_SPEC

          public static final String CT_APPLICATION_INDEX_SPEC

      See Also:
        Constant Field Values

    - #### CT_TEXT_JSON

          public static final String CT_TEXT_JSON

      The internet media type or MIME type or Content-Type value for an JSON data as text.
      See Also:
        Constant Field Values

    - #### CT_TEXT_N3

          public static final String CT_TEXT_N3

      The internet media type or MIME type or Content-Type value for an RDF triples as text.
      See Also:
        Constant Field Values

    - #### CT_TEXT_PLAIN

          public static final String CT_TEXT_PLAIN

      The internet media type or MIME type or Content-Type value for text.
      See Also:
        Constant Field Values

    - #### CT_TEXT_TURTLE

          public static final String CT_TEXT_TURTLE

      The internet media type or MIME type or Content-Type value for Terse RDF Triple Language as text.
      See Also:
        Constant Field Values

    - #### CT_TEXT_HTML

          public static final String CT_TEXT_HTML

      The internet media type or MIME type or Content-Type value for an HTML as text.
      See Also:
        Constant Field Values

    - #### CT_TEXT_XML

          public static final String CT_TEXT_XML

      The internet media type or MIME type or Content-Type value for an XML as text.
      See Also:
        Constant Field Values

    - #### CT_TEXT_CSS

          public static final String CT_TEXT_CSS

      The internet media type or MIME type or Content-Type value for CSS as text.
      See Also:
        Constant Field Values

    - #### CT_TEXT_JAVASCRIPT

          public static final String CT_TEXT_JAVASCRIPT

      The internet media type or MIME type or Content-Type value for JavaScript as text.
      See Also:
        Constant Field Values

    - #### CT_RDF_XML

          public static final String CT_RDF_XML

      The internet media type or MIME type or Content-Type value for an XML as RDF.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpConstants

          public HttpConstants()

Copyright © 2016. All rights reserved.